Bug 66057 - back button problem in network config of ia64 text mode installer
back button problem in network config of ia64 text mode installer
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-06-04 21:36 EDT by Erik Jacobson
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-04 21:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Erik Jacobson 2002-06-04 21:36:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79C-SGI [en] (X11; I; IRIX64 6.5-ALPHA-1288095920 IP28)

Description of problem:
This was observed installing RedHat 7.2 on an ia64 box using the standard RedHat
7.2 install

After I finished partitioning the disks using disk druid during a clean/fresh
install session, I am 
taken to the network configuration screen.  By default, DHCP is selected as the
means to get
network information about the system.  

If you unselect the "Use bootp/DHCP" box, but do NOT fill any network
information in, you are not
allowed to go back.  If you highlight the BACK button with the cursoe and hit
enter, you are told
that your network configuration is invalid.

If you check the "Use bootp/DHCP" box again, then click back - you are taken
back properly.

It seems to me that the user should be allowed to go back in either case.

I checked with the graphical installer, and the user is indeed allowed to go
back in either case.
So there is a diference here between the graphical installer and teh text

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Begin a fresh install using the text installer (RedHat 7.2 on a ia64 system)
2. Tell the installer you wish to use disk druid for partitioning (this probably
isn't necessary - but
     it is the way I followed)
3. When you finish partitoning, you get to the network configuration screen
4. Unselect "Use bootp/DHCP" and try selecting "BACK" and hitting enter - the
error is produced.

Actual Results:  An error message is produced stating your network configuration
is invalid.

Expected Results:  I expected to be taken back to the previous step (disk druid
in my case).

Additional info:
Comment 1 Jeremy Katz 2002-06-29 17:37:19 EDT
This is fixed in our current development trees

Note You need to log in before you can comment on or make changes to this bug.